ResourceManagerImpl (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.bus.resource

## Class ResourceManagerImpl

- java.lang.Object
- - org.apache.cxf.resource.DefaultResourceManager
  - - org.apache.cxf.bus.resource.ResourceManagerImpl

- All Implemented Interfaces:
    `BusExtension`, `ResourceManager`

      public class ResourceManagerImpl
      extends DefaultResourceManager
      implements BusExtension

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.resource.DefaultResourceManager

      `firstCalled, registeredResolvers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceManagerImpl()` |
    `ResourceManagerImpl​(Bus b)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class<?>` | `getRegistrationType()` |
    `protected void` | `onFirstResolve()` |
    `void` | `setBus​(Bus b)` |
    `void` | `setResolvers​(List<? extends ResourceResolver> resolvers)` | Set the list of resolvers for this resource manager.

    - ### Methods inherited from class org.apache.cxf.resource.DefaultResourceManager

      `addResourceResolver, addResourceResolvers, getResourceAsStream, getResourceResolvers, removeResourceResolver, resolveResource, resolveResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceManagerImpl

          public ResourceManagerImpl()

    - #### ResourceManagerImpl

          public ResourceManagerImpl​(Bus b)

  - ### Method Detail

    - #### onFirstResolve

          protected void onFirstResolve()

      Overrides:
        `onFirstResolve` in class `DefaultResourceManager`

    - #### setResolvers

          public final void setResolvers​(List<? extends ResourceResolver> resolvers)

      Set the list of resolvers for this resource manager.
      Parameters:
        `resolvers` -

    - #### setBus

          public final void setBus​(Bus b)

    - #### getRegistrationType

          public Class<?> getRegistrationType()

      Specified by:
        `getRegistrationType` in interface `BusExtension`